/*
 * Copyright (c) 2022, Oracle and/or its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Information theoretic feature selection algorithms.
 * <p>
 * For an overview of the field of information theoretic feature selection see:
 * <pre>
 * Brown G, Pocock A, Zhao M-J, Lujan M.
 * "Conditional Likelihood Maximisation: A Unifying Framework for Information Theoretic Feature Selection"
 * Journal of Machine Learning Research (JMLR) <a href="https://www.jmlr.org/papers/volume13/brown12a/brown12a.pdf">PDF</a>.
 * </pre>
 */
package org.tribuo.classification.fs;