/*
 * Copyright (c) 2015-2020, Oracle and/or its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.tribuo.multilabel;

import org.tribuo.ImmutableOutputInfo;
import org.junit.jupiter.api.Test;

import java.util.Arrays;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class MutableMultiLabelInfoTest {

    @Test
    public void test() {
        MutableMultiLabelInfo info = new MutableMultiLabelInfo();

        info.observe(label("a"));
        assertEquals(1, info.size());

        ImmutableOutputInfo<MultiLabel> imm = info.generateImmutableOutputInfo();
        assertEquals(1, imm.size());
    }

    static MultiLabel label(String... values) {
        return new MultiLabelFactory().generateOutput(Arrays.asList(values));
    }

}